Bug 246754 - Latest pygtk2 doesn't build against latest gtk2 from devel
Summary: Latest pygtk2 doesn't build against latest gtk2 from devel
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pygtk2 (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-04 16:19 UTC by Oliver Falk
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-09 15:00:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Oliver Falk 2007-07-04 16:19:54 UTC
gtk.c: In function '_wrap_gtk_entry_get_inner_border':
gtk.c:41186: warning: assignment discards qualifiers from pointer target type
gtk.c: In function '__GtkNotebook_class_init':
gtk.c:62541: warning: assignment from incompatible pointer type
gtk.c:62561: warning: assignment from incompatible pointer type
gtk.c: In function '__GtkScrolledWindow_class_init':
gtk.c:68421: warning: assignment from incompatible pointer type
./gtk.override: In function '_wrap_gtk_tooltips__get_tips_data_list':
./gtk.override:3130: error: 'GtkTooltips' has no member named 'tips_data_list'
make[3]: *** [_gtk_la-gtk.lo] Error 1
make[3]: Leaving directory `/home/oliver/cvs/devel/pygtk2/pygtk-2.10.4/gtk'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/oliver/cvs/devel/pygtk2/pygtk-2.10.4'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/home/oliver/cvs/devel/pygtk2/pygtk-2.10.4'
error: Bad exit status from /var/tmp/rpm-tmp.76462 (%build)

[oliver@gosa pygtk2]$ rpm -q gtk2
gtk2-2.11.4-1.fc8

Maybe an update for pygtk2 is needed?

Comment 1 Matthias Clasen 2007-07-06 17:49:29 UTC
A new pygtk is out now.

Comment 2 Oliver Falk 2007-07-09 09:14:41 UTC
Great to hear. Let's build it :-)

Comment 3 Matthew Barnes 2007-07-09 15:00:13 UTC
pygtk2-2.10.5-1.fc8


Note You need to log in before you can comment on or make changes to this bug.